class Instance(object):

    """Manage Instance.

    Args:
        id: ID
    """

    def __init__(self, id, client):
        self.id = id
        self.client = client

    def retrieve(self, options={}):
        """Returns a single Instances.

        '/instances/:id/' GET
        """
        body = options['query'] if 'query' in options else {}

        response = self.client.get('/instances/' + self.id + '/', body, options)

        return response

